<?
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/><div class="head">['.$user[login].']</div>';
$isset_clan = mysql_result(mysql_query("SELECT count(`id`) FROM `clan` WHERE `id`='".intval($_GET['id'])."'"),0);
echo '<div class="money">';
if ($user['clan'] != '0')
	{
	switch($_GET['a'])
		{
		default:
		header("location: other_world.php?a=castles");
		break;

		case 'view':
		$a = abs(intval($_GET['id']));
		if ($a>='1' AND $a<='6')
			{
			$r = mysql_fetch_array(mysql_query("SELECT * FROM `castles` WHERE `id`='$a'"));
			echo '<img src="./img_castle/'.$r['id'].'.png" alt=*  style="float:left; padding:3px">';
			echo '<a href="./castles.php?a=view&amp;id='.$r['id'].'"><b>'.$r['title'].'</b></a><br />';
			if ($r['owner_clan']=='0') echo 'Нет владельца';
			if ($r['owner_clan']!='0')
				{
				$title_owner = mysql_fetch_array(mysql_query("SELECT `title` FROM `clan` WHERE `id`='".$r['owner_clan']."'"));
				echo $title_owner['title'];
				}
			echo ' <div style="clear: center"></div></div><div class="money">';
			if ($user['clan']==$r['owner_clan'])
				{
				if (intval($_GET['add'])=='1')
					{
						if (isset($_POST['count']))
							{
							$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='$user[clan]'"));
							$count_a = intval($_POST['count']);
							$error = '';
							if (abs($c[$_POST['res']]) < $count_a) $error = 'У вас нет столько войнов <br />';
							if (empty($error))
								{
								mysql_query("UPDATE `clan` SET `".htmlspecialchars($_POST['res'])."`=".htmlspecialchars($_POST['res'])."-'$count_a' WHERE `id`='$c[id]'");
								mysql_query("UPDATE `castles` SET `".htmlspecialchars($_POST['res'])."`=".htmlspecialchars($_POST['res'])."+'$count_a' WHERE `owner_clan`='$c[id]'");
								echo 'Вы привели в замок '.$count_a.' войнов<br /><a href="'.$self.'">Продолжить</a>';
								} else echo $error.'<a href="'.$self.'">Повторить ввод</a>';
							} else {
									echo '<form action="" method="POST">
									Кол-ва войнов:<br />
									<input type="text" name="count" value=""><br />
									<input type="radio" name="res" value="solders">Пехотинцы<br />
									<input type="radio" name="res" value="horses">Ковалерия<br />
									<input type="radio" name="res" value="archers">Стрелки<br />
									<input type="submit" value="Отправить"><br />(Войска пополняются из армии клана)</div>
									</form>';
									}
					} else {



				echo 'Этот замок принадлежит вашему клану<br />';

				if ($_GET[otkaz]=='2')
					{
					if ($_GET[acces]=='1')
						{
						mysql_query("UPDATE `castles` SET `owner_clan`='0' WHERE `id`='$r[id]'");
						echo 'Вы отказались от замка!';
						} else {
							echo 'Вы уверены что хотите отказаться от замка? Все ваши войска остануться преданы текущему замку<br /><a href="?a=view&amp;id='.$r[id].'&amp;otkaz=2&amp;acces=1">Отказаться</a> / <a href="castles.php?a=view&amp;id='.$r[id].'">Нет</a>';
								}echo '</div><div class="money">';
					}

				if ($r['id']=='6')
					{

					if ($r['type']=='1'){$raw = 'зерно'; $howres=12000; }
					if ($r['type']=='2'){$raw = 'дерево'; $howres=12000;}
					if ($r['type']=='3'){$raw = 'камень'; $howres=7000;}
					if ($r['type']=='4'){$raw = 'деньги'; $howres=12000;}
					if ($r['type']=='5'){$raw = 'железо'; $howres=5500;}


					if (intval($_GET['smena'])=='1' OR intval($_GET['smena'])=='2')
						{
						if (intval($_GET['smena'])=='1')
						{
						if (isset($_POST['raw']))
							{
							$rawc = intval($_POST['raw']);
							if ($rawc >= '1' AND $rawc <= '5')
								{
											if ($rawc=='1'){$raw = 'зерно'; $howres=12000; }
											if ($rawc=='2'){$raw = 'дерево'; $howres=12000;}
											if ($rawc=='3'){$raw = 'камень'; $howres=7000;}
											if ($rawc=='4'){$raw = 'деньги'; $howres=12000;}
											if ($rawc=='5'){$raw = 'железо'; $howres=5500;}
								mysql_query("UPDATE `castles` SET `type`='$rawc',`count`='$howres' WHERE `id`='$r[id]'");
								echo 'Теперь замок занят производством следующего ресурса: '.$raw;
								echo '<br /><a href="?a=view&amp;id=6">Продолжить</a>';
								} else header("Location: castles.php");
							} else {
						echo '<form method=POST>
						<INPUT TYPE="radio" NAME="raw" VALUE="1"> зерно <BR>
						<INPUT TYPE="radio" NAME="raw" VALUE="2"> дерево <BR>
						<INPUT TYPE="radio" NAME="raw" VALUE="3"> камень <BR>
						<INPUT TYPE="radio" NAME="raw" VALUE="4"> деньги <BR>
						<INPUT TYPE="radio" NAME="raw" VALUE="5"> железо <BR>
						<INPUT TYPE=SUBMIT name=SUBMIT value="Сменить">
						</form></div>';
									}
						}
						if (intval($_GET['smena'])=='2')
						{
						if (isset($_POST['title']))
							{
							$title = mysql_real_escape_string($_POST['title']);
							if (strlen($title) >= '3' AND strlen($title) <= '30')
								{

								mysql_query("UPDATE `castles` SET `title`='$title' WHERE `id`='$r[id]'");
								echo 'Теперь замок называется: '.$title;
								echo '<br /><a href="?a=view&amp;id=6">Продолжить</a>';
								} else header("Location: castles.php");
							} else {
						echo '<form method=POST>Название: <br/>
						<input tyoe=text name="title"><br />
						<INPUT TYPE=SUBMIT name=SUBMIT value="Сменить">
						</form></div>';
									}
						}
						} else {
						echo 'На данный момент замок производит: <b>'.$raw.'</b> и приносит <b>'.$howres.'</b> едениц этого ресурса ежедневно';
								echo '<br /><a href="./castles.php?a=view&id=6&amp;smena=1">Сменить производство</a><br /><a href="./castles.php?a=view&id=6&amp;smena=2">Сменить название замка</a>';
							   }

					echo '</div><div class="money">';
					}


				echo 'Пехота: <b>'.$r['solders'].'</b><br />';
				echo 'Ковалерия: <b>'.$r['horses'].'</b><br />';
				echo 'Стрелки: <b>'.$r['archers'].'</b><br />';
				echo '<a href="'.$self.'&amp;add=1">Пополнить войска</a><br />';
				echo '<a href="'.$self.'&amp;otkaz=2">Отказаться от замка</a><br />';
				echo 'На ваш замок смогу напасть через: ';
			 	if (intval($r['last_attack']+3600*24)>$time) time_end(intval($r['last_attack']+3600*24));
							}
				} else {
			echo 'Пехота: <b>'.$r['solders'].'</b><br />';
			echo 'Ковалерия: <b>'.$r['horses'].'</b><br />';
			echo 'Стрелки: <b>'.$r['archers'].'</b><br />';
			if($r['last_attack']>'0')
				{
				if (intval($r['last_attack']+3600*24)>$time)
					{
					echo 'Можно напасть через: ';
					time_end(intval($r['last_attack']+3600*24));
					} else echo '</div><a class="razd" href="?a=attack&amp;id='.$a.'">Напасть</a>';
				} else
					{
					echo 'Замок ни разу не атакован!';
					echo '</div><a class="razd" href="?a=attack&amp;id='.$a.'">Напасть</a>';
					}

						}

				if ($r['type']=='1')$raw = 'зерно';
				if ($r['type']=='2')$raw = 'дерево';
				if ($r['type']=='3')$raw = 'камень';
				if ($r['type']=='4')$raw = 'деньги';
				if ($r['type']=='5')$raw = 'железо';
			echo '</div><div class="money">Здесь добывается - <b>'.$raw.'</b> и приносит ежедневно <b>'.$r['count'].'</b> едениц данного ресурса<br >';
			} else header("location: other_world.php?a=castles");
		echo '</div>';
		break;


		case 'attack':
		$a = abs(intval($_GET['id']));
		if ($a>='1' AND $a<='6')
			{
			$r = mysql_fetch_array(mysql_query("SELECT * FROM `castles` WHERE `id`='$a'"));
			$error = '';
			if (intval($r['last_attack']+3600*24) > $time) $error = 'Вы не можете атаковать клан сейчас!<br />';
			if (empty($error))
				{







	$l = mysql_fetch_array(mysql_query("SELECT * FROM `castles` WHERE `id`='".intval(abs($_GET['id']))."'"));
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."'"));
	if (!empty($l['id']) AND $user['clan'] != '0')
		{
		if (intval($_GET['accept'])=='1')
			{
			$error = '';
			if ($c['solders']=='0' AND $c['horses']=='0' AND $c['archers']=='0') $error .= 'У вашего клана нет армии<br />';
			$isset_zamok = mysql_result(mysql_query("SELECT count(*) FROM `castles` WHERE `owner_clan`='$c[id]'"),0);
			if ($isset_zamok != '0') $error .= 'У вашего клана уже есть замок <br />';
			if (intval($c['last_castle']+3600*3) > $time) $error .= 'Вы можете атаковать замок не чаще одного раза в 3 часа<br />';


			$solders=intval(abs($c['solders']));
			$horses=intval(abs($c['horses']));
			$archers=intval(abs($c['archers']));
			$total=$solders+$horses+$archers;
			if($error == '')
			{
				//отнимаем от игрока солдаты
				mysql_query("UPDATE `clan` SET solders=solders-'$solders',
											   horses=horses-'$horses',
											   archers=archers-'$archers'
											   WHERE id='$c[id]'");
				//в "бой" заносим параметры атакующего(u1-3, u_id=$id и защищающегося e_ - префикс
				mysql_query("
				INSERT INTO `fight` (`id` ,
	`u1` ,
	`u2` ,
	`u3` ,
	`e1` ,
	`e2` ,
	`e3` ,
	`u_id` ,
	`e_id`
	)
	VALUES (NULL , '$solders', '$horses', '$archers', '$r[solders]', '$r[horses]', '$r[archers]', '0', '0'
	)
				");
				// получаем айди битвы
				$recive_id=mysql_insert_id();
				//подключаем файл мега супер пупер автоматизированый который можно сказать сделает всё за вас)
				$a_general_force = 1+($c['general_force']/10);

				$r_wner_clan = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='$r[owner_clan]'"));

				$d_general_force = 1+($r_wner_clan['general_force']/10);
				include('fight.php');
				//в том файле $new_fight - это наша битва, а точнее итог остачь войск
				//делаем подсчёты сколько всего негров осталось у атакуюещего(id) и защищающегося (кого выбиваем)
				$total_a=$new_fight['u1']+$new_fight['u2']+$new_fight['u3'];
				$total_d=$new_fight['e1']+$new_fight['e2']+$new_fight['e3'];
				//ну дальше бла бла бла, прочая хрень, в том числе и решение итога - какая сука убилась об стенку))))
				$next_strike=$time+60*60;
				// echo $total_a.' '.$total_d.'<br />';
				if($total_a >= 0 && $total_d <= 0)
				{
					//выбили
					mysql_query("UPDATE `castles` SET `owner_clan`='$c[id]',`last_attack`='$time',`solders`='0',`archers`='0',`horses`='0' WHERE `id`='".$r['id']."'");
					mysql_query("UPDATE `clan` SET
											  `trof`=trof+'5000',
											  solders=solders+'$new_fight[u1]',
											  horses=horses+'$new_fight[u2]',
											  `last_castle`='$time',
											  archers=archers+'$new_fight[u3]' WHERE `id`='$c[id]'");
					$members = mysql_result(mysql_query("SELECT count(id) FROM `users` WHERE `clan`='$c[id]'"),0);
					$rabov_to_user = rand(50,150);

					mysql_query("UPDATE `users` SET `workers`=workers+'$rabov_to_user' WHERE `clan`='$c[id]'");

					$sql_rab = mysql_query("SELECT `login`,`id`,`clan` FROM `users` WHERE `clan`='$c[id]'");
					while($rab_sql_res = mysql_fetch_assoc($sql_rab))
						{
					$text='+'.$rabov_to_user.' рабочих';
					send_mess($rab_sql_res['login'],$text,"Система",'');

					$text2='После захвата - '.$r['title'].', ваш клан захватил близлижащие земли замка. Каждому члену клана было отправлено '.$rabov_to_user.' рабочих.';
					send_mess($rab_sql_res['login'],$text2,"$c[title]",'');
						}

					$slost=$solders-$new_fight[u1];
					$hlost=$horses-$new_fight[u2];
					$alost=$archers-$new_fight[u3];

					echo 'Вы уничтожили врага!<br /> Потери:<br />
					<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков
					<br />Награбленные деньги (5000) вы можете найти в трофеях клана';

				}
				elseif($total_a <= 0 && $total_d > 0)
				{
					//ничего не сделали



					$slost=$r['solders']-$new_fight[e1];
					if($slost < 0)
					{
					$slost=0;
					}
					$hlost=$r['horses']-$new_fight[e2];
					if($hlost < 0)
					{
					$hlost=0;
					}
					$alost=$r['archers']-$new_fight[e3];
					if($alost < 0)
					{
					$alost=0;
					}
					mysql_query("UPDATE `castles` SET `solders`=solders-'$slost',
													`horses`=horses-'$hlost',
														 `archers`=archers-'$alost' WHERE `id`='$r[id]'");
					mysql_query("UPDATE clan SET
											  solders=solders-'$new_fight[u1]',
											  horses=horses-'$new_fight[u2]',
											  `last_castle`='$time',
											  archers=archers-'$new_fight[u3]' WHERE id='$c[id]'");
					echo 'Вы не смогли уничтожить врага!<br /> Потери противника:<br />
					<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков
					';
				}

				else
				{
					//ничья
					$slost=$r['solders']-$new_fight[e1];
					if($slost < 0)
					{
					$slost=0;
					}
					$hlost=$r['horses']-$new_fight[e2];
					if($hlost < 0)
					{
					$hlost=0;
					}
					$alost=$r['archers']-$new_fight[e3];
					if($alost < 0)
					{
					$alost=0;
					}
					mysql_query("UPDATE castles SET
								solders=solders-'$slost',
								horses=horses-'$hlost',
								archers=archers-'$alost' WHERE id='$r[id]'");

					echo 'Вы не смогли уничтожить врага!<br />Потери противника:<br />
					<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков
					';
				}

			}
			else
			{
				echo $error;
			}










			} else {
		echo '<b>'.$r['title'].'</b>';

		echo '<br />Войска вашего клана: <br />
		Пехотинцы: '.$c['solders'].'<br />
		Ковалерия: '.$c['horses'].'<br />
		Стрелки: '.$c['archers'].'</div><div class="money">
		Войска противника: <br />
		Пехотинцы: '.$r['solders'].'<br />
		Ковалерия: '.$r['horses'].'<br />
		Стрелки: '.$r['archers'].'</div><div class="money">
		<a href="?a=attack&amp;id='.$r[id].'&amp;accept=1">В бой</a>
		';
					}
		} else header("Location: other_world.php");









				} else echo $error;

			} else header("location: other_world.php?a=castles");
			echo '</div>';
		break;
		}
	} else echo 'Простолюдины без клана не имеют доступа к замкам</div>';


//футер
echo '
<div class="info">Меню</div>
<a class="razd" href="other_world.php?a=castles">'.$iback.' Список замков</a>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>
';



?>